<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Deploying Covenant Framework — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `deploy --port <val> --docker <val>` | Deploy Covenant C2 server |
| `configure --listener <val> --port <val>` | Configure Covenant listener |
| `launcher --type <val> --listener <val>` | Generate Grunt launcher |
| `verify --component <val>` | Verify Covenant components |
| `report --format <val>` | Generate Covenant report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--port` | string | Yes | Port parameter |
| `--docker` | string | Yes | Docker parameter |
| `--listener` | string | Yes | Listener parameter |
| `--type` | string | Yes | Type parameter |
| `--component` | string | Yes | Component parameter |
| `--format` | string | Yes | Format parameter |
